Bug 225459 - Anaconda vgcreate failure
Anaconda vgcreate failure
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 13:37 EST by Prarit Bhargava
Modified: 2008-05-06 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug dump from altix3 (623.62 KB, text/plain)
2007-01-30 13:37 EST, Prarit Bhargava
no flags Details

  None (edit)
Description Prarit Bhargava 2007-01-30 13:37:42 EST
Description of problem:

Installs dies with message "SystemError: vgcreate failed for VolGroup00"

Version-Release number of selected component (if applicable): 20070129 (maps to
FC7test1)


How reproducible: 100%


Steps to Reproduce:
1. Attempt nfs install.
  
Actual results:

Traceback (most recent call first):
  File "/usr/lib/anaconda/fsset.py", line 2373, in setupDevice
    raise SystemError, "vgcreate failed for %s" %(self.name,)
  File "/usr/lib/anaconda/fsset.py", line 1702, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 148, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 201, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 124, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 588, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 970, in ?
    anaconda.intf.run(anaconda)
SystemError: vgcreate failed for VolGroup00

For more details, see attached output file.

Expected results:  Install should succeed.

Additional info:  Seen on altix3 in Westford.
Comment 1 Prarit Bhargava 2007-01-30 13:37:42 EST
Created attachment 146945 [details]
debug dump from altix3
Comment 2 David Cantrell 2007-03-30 13:24:46 EDT
/tmp/lvmout:
  Found duplicate PV PbqK9h4y0AEHcvF3DuX83PhVdMpMOB55: using /dev/sdg1 not /dev/sdc1
  Found duplicate PV NDLGlAvRkrVTiPbob9irDOcO2ymhkDib: using /dev/sdh1 not /dev/sdd1
  Found duplicate PV vzqRv0Yp8ijrlB2FPmcOMasdeDKLYsP8: using /dev/sdi1 not /dev/sde1
  Found duplicate PV B7AYluYltSoXMTJlG7hzopbgDoWtk9PY: using /dev/sdj1 not /dev/sdf1
    Wiping cache of LVM-capable devices
  Found duplicate PV PbqK9h4y0AEHcvF3DuX83PhVdMpMOB55: using /dev/sdc1 not /dev/sdg1
  Found duplicate PV NDLGlAvRkrVTiPbob9irDOcO2ymhkDib: using /dev/sdd1 not /dev/sdh1
  Found duplicate PV vzqRv0Yp8ijrlB2FPmcOMasdeDKLYsP8: using /dev/sde1 not /dev/sdi1
  Found duplicate PV B7AYluYltSoXMTJlG7hzopbgDoWtk9PY: using /dev/sdf1 not /dev/sdj1
  Found duplicate PV PbqK9h4y0AEHcvF3DuX83PhVdMpMOB55: using /dev/sdg1 not /dev/sdc1
  Found duplicate PV NDLGlAvRkrVTiPbob9irDOcO2ymhkDib: using /dev/sdh1 not /dev/sdd1
  Found duplicate PV vzqRv0Yp8ijrlB2FPmcOMasdeDKLYsP8: using /dev/sdi1 not /dev/sde1
  Found duplicate PV B7AYluYltSoXMTJlG7hzopbgDoWtk9PY: using /dev/sdj1 not /dev/sdf1
    Adding physical volume '/dev/sde1' to volume group 'VolGroup00'
  Found duplicate PV vzqRv0Yp8ijrlB2FPmcOMasdeDKLYsP8: using /dev/sde1 not /dev/sdi1
    Adding physical volume '/dev/sdf1' to volume group 'VolGroup00'
  Found duplicate PV B7AYluYltSoXMTJlG7hzopbgDoWtk9PY: using /dev/sdf1 not /dev/sdj1
    Adding physical volume '/dev/sdg1' to volume group 'VolGroup00'
    Adding physical volume '/dev/sdd1' to volume group 'VolGroup00'
  Found duplicate PV NDLGlAvRkrVTiPbob9irDOcO2ymhkDib: using /dev/sdd1 not /dev/sdh1
    Adding physical volume '/dev/sdi1' to volume group 'VolGroup00'
  Found duplicate PV vzqRv0Yp8ijrlB2FPmcOMasdeDKLYsP8: using /dev/sdi1 not /dev/sde1
    Adding physical volume '/dev/sdj1' to volume group 'VolGroup00'
  Found duplicate PV B7AYluYltSoXMTJlG7hzopbgDoWtk9PY: using /dev/sdj1 not /dev/sdf1
    Adding physical volume '/dev/sdh1' to volume group 'VolGroup00'
  Found duplicate PV NDLGlAvRkrVTiPbob9irDOcO2ymhkDib: using /dev/sdh1 not /dev/sdd1
    Adding physical volume '/dev/sdb1' to volume group 'VolGroup00'
    Adding physical volume '/dev/sdc1' to volume group 'VolGroup00'
  Found duplicate PV PbqK9h4y0AEHcvF3DuX83PhVdMpMOB55: using /dev/sdc1 not /dev/sdg1
    Adding physical volume '/dev/sda2' to volume group 'VolGroup00'
  Internal error: Duplicate PV id vzqRv0-Yp8i-jrlB-2FPm-cOMa-sdeD-KLYsP8
detected for /dev/sdi1 in VolGroup00.
  Internal error: Duplicate PV id B7AYlu-YltS-oXMT-JlG7-hzop-bgDo-Wtk9PY
detected for /dev/sdj1 in VolGroup00.
  Internal error: Duplicate PV id NDLGlA-vRkr-VTiP-bob9-irDO-cO2y-mhkDib
detected for /dev/sdh1 in VolGroup00.
  Internal error: Duplicate PV id PbqK9h-4y0A-EHcv-F3Du-X83P-hVdM-pMOB55
detected for /dev/sdc1 in VolGroup00.

GOOD TIMES!

Workaround: wipe the disks and try installation again.  Whatever was on the
disks before is being picked up by LVM and then failing.

Anaconda should catch this failure and at least present it in a dialog box
rather than dumping.
Comment 3 Bug Zapper 2008-04-03 14:59:51 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:07:30 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.